%if (0%{?fedora} > 12 || 0%{?rhel} > 6)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

#doesn't support python3 at this time
%global with_python3 0

%define mod_name yolk

Name:           python-%{mod_name}
Version:        0.4.1
Release:        1%{?dist}
Url:            http://tools.assembla.com/yolk
Summary:        Command-line tool querying PyPI and Python packages installed on your system
License:        GPLv2
Group:          Development/Languages
Source:         http://pypi.python.org/packages/source/y/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
Yolk is a Python tool for obtaining information about packages installed by 
distutils, setuptools and easy_install and querying packages on PyPI 
(Python Package Index a.k.a. The Cheese Shop).

Yolk can list all the packages installed by distutils or setuptools on your 
system by Python2.5 or packages installed by setuptools if you have Python2.4. 
You can see which packages are active, non-active or in development mode and 
show you which have newer versions available by querying PyPI.

%if 0%{?with_python3}
%package -n python3-%{mod_name}
Summary:        Command-line tool querying PyPI and Python packages installed on your system.
Group:          Development/Languages

%description -n python3-%{mod_name}
Yolk is a Python tool for obtaining information about packages installed by 
distutils, setuptools and easy_install and querying packages on PyPI 
(Python Package Index a.k.a. The Cheese Shop).

Yolk can list all the packages installed by distutils or setuptools on your 
system by >=Python2.5 or packages installed by setuptools if you have <=Python2.4. 
You can see which packages are active, non-active or in development mode and show 
you which have newer versions available by querying PyPI.
%endif #with_python3

%prep
%setup -q -n %{mod_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
CFLAGS="$RPM_OPT_FLAGS"  %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --prefix %{_prefix} --root %{buildroot}
chmod 0755 %{buildroot}/%{python_sitelib}/%{mod_name}/setuptools_support.py
mkdir -p %{buildroot}/%{_mandir}/man1/
cp docs/yolk.1 %{buildroot}/%{_mandir}/man1/

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --prefix %{__prefix} --root %{buildroot}
chmod 0755 %{buildroot}/%{python3_sitelib}/%{mod_name}/setuptools_support.py
popd
%endif # with_python3


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS FAQ INSTALL NEWS PKG-INFO README THANKS TODO examples/*
%{_bindir}/*
%{python_sitelib}/%{mod_name}*
%{_mandir}/man1/%{mod_name}.1.gz

%if 0%{?with_python3}
%files -n python3-%{mod_name}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS FAQ INSTALL NEWS PKG-INFO README THANKS TODO examples/*
%{_bindir}/*
%{python3_sitelib}/%{mod_name}*
%{_mandir}/man1/%{mod_name}.1.gz
%endif # with_python3


%changelog
* Thu May 12 2011 Jerome Soyer <saispo@gmail.com> - 0.4.1-1
- Initial build
